## libinnodb 1.0.6.6750

=== tests/CMakeLists.txt ===
# Copyright (C) 2009 Oracle/Innobase Oy
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# This is the CMakeLists for Embedded InnoDB
CMAKE_MINIMUM_REQUIRED(VERSION 2.6 FATAL_ERROR)

PROJECT (TESTS)

IF(DEFINED WIN32)
	ADD_DEFINITIONS("-D__WIN__ -D_WINDOWS -D_CRT_SECURE_NO_DEPRECATE")
ENDIF(DEFINED WIN32)

IF(DEFINED UNIX)
	SET(LIBS innodb pthread z m)
ELSE(DEFINED UNIX)
	SET(LIBS innodb)
ENDIF(DEFINED UNIX)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/../include)

ADD_EXECUTABLE(ib_cfg ib_cfg.c test0aux.c)
ADD_EXECUTABLE(ib_compressed ib_compressed.c test0aux.c)
ADD_EXECUTABLE(ib_cursor ib_cursor.c test0aux.c)
ADD_EXECUTABLE(ib_ddl ib_ddl.c test0aux.c)
ADD_EXECUTABLE(ib_dict ib_dict.c test0aux.c)
ADD_EXECUTABLE(ib_drop ib_drop.c test0aux.c)
ADD_EXECUTABLE(ib_index ib_index.c test0aux.c)
ADD_EXECUTABLE(ib_logger ib_logger.c test0aux.c)
ADD_EXECUTABLE(ib_recover ib_recover.c test0aux.c)
ADD_EXECUTABLE(ib_shutdown ib_shutdown.c test0aux.c)
ADD_EXECUTABLE(ib_status ib_status.c test0aux.c)
ADD_EXECUTABLE(ib_tablename ib_tablename.c test0aux.c)
ADD_EXECUTABLE(ib_test1 ib_test1.c test0aux.c)
ADD_EXECUTABLE(ib_test2 ib_test2.c test0aux.c)
ADD_EXECUTABLE(ib_test3 ib_test3.c test0aux.c)
ADD_EXECUTABLE(ib_test5 ib_test5.c test0aux.c)
ADD_EXECUTABLE(ib_types ib_types.c test0aux.c)
ADD_EXECUTABLE(ib_update ib_update.c test0aux.c)
ADD_EXECUTABLE(ib_zip ib_zip.c test0aux.c)
ADD_EXECUTABLE(ib_search ib_search.c test0aux.c)

IF(DEFINED UNIX)
	ADD_EXECUTABLE(ib_deadlock ib_deadlock.c test0aux.c)
	ADD_EXECUTABLE(ib_mt_drv ib_mt_drv.c ib_mt_base.c ib_mt_t1.c ib_mt_t2.c test0aux.c)
	ADD_EXECUTABLE(ib_mt_stress ib_mt_stress.c test0aux.c)
	ADD_EXECUTABLE(ib_perf1 ib_perf1.c test0aux.c)
ENDIF(DEFINED UNIX)

LINK_DIRECTORIES(${EMBEDDED_INNODB})

TARGET_LINK_LIBRARIES(ib_cfg ${LIBS})
TARGET_LINK_LIBRARIES(ib_compressed ${LIBS})
TARGET_LINK_LIBRARIES(ib_cursor ${LIBS})
TARGET_LINK_LIBRARIES(ib_ddl ${LIBS})
TARGET_LINK_LIBRARIES(ib_dict ${LIBS})
TARGET_LINK_LIBRARIES(ib_drop ${LIBS})
TARGET_LINK_LIBRARIES(ib_index ${LIBS})
TARGET_LINK_LIBRARIES(ib_logger ${LIBS})
TARGET_LINK_LIBRARIES(ib_recover ${LIBS})
TARGET_LINK_LIBRARIES(ib_shutdown ${LIBS})
TARGET_LINK_LIBRARIES(ib_status ${LIBS})
TARGET_LINK_LIBRARIES(ib_tablename ${LIBS})
TARGET_LINK_LIBRARIES(ib_test1 ${LIBS})
TARGET_LINK_LIBRARIES(ib_test2 ${LIBS})
TARGET_LINK_LIBRARIES(ib_test3 ${LIBS})
TARGET_LINK_LIBRARIES(ib_test5 ${LIBS})
TARGET_LINK_LIBRARIES(ib_types ${LIBS})
TARGET_LINK_LIBRARIES(ib_update ${LIBS})
TARGET_LINK_LIBRARIES(ib_zip ${LIBS})
TARGET_LINK_LIBRARIES(ib_search ${LIBS})

IF(DEFINED UNIX)
	TARGET_LINK_LIBRARIES(ib_deadlock ${LIBS})
	TARGET_LINK_LIBRARIES(ib_mt_drv ${LIBS})
	TARGET_LINK_LIBRARIES(ib_mt_stress ${LIBS})
	TARGET_LINK_LIBRARIES(ib_perf1 ${LIBS})
ENDIF(DEFINED UNIX)

# for some reason, LINK_DIRECTORIES() does not work correctly
SET_TARGET_PROPERTIES(ib_cfg PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_compressed PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_cursor PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_ddl PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_dict PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_drop PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_index PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_logger PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_recover PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_shutdown PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_status PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_tablename PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_test1 PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_test2 PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_test3 PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_test5 PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_types PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_update PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_zip PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
SET_TARGET_PROPERTIES(ib_search PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")

IF(DEFINED UNIX)
	SET_TARGET_PROPERTIES(ib_deadlock PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
	SET_TARGET_PROPERTIES(ib_mt_drv PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
	SET_TARGET_PROPERTIES(ib_mt_stress PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
	SET_TARGET_PROPERTIES(ib_perf1 PROPERTIES LINK_FLAGS "/LIBPATH:..\\lib")
ENDIF(DEFINED UNIX)

=== debian/changelog ===
libinnodb (1.0.6.6750-1) unstable; urgency=low

  * New upstream release.
  * Removed old patch for pthread lib.
  * New library version - libinnodb3.
  * Removed .la files from the install.

 -- Monty Taylor <mordred@inaugust.com>  Tue, 16 Mar 2010 12:31:01 -0700

libinnodb (1.0.3.5325-1) unstable; urgency=low

  * Initial release (Closes: #568590)

 -- Monty Taylor <mordred@inaugust.com>  Fri, 05 Feb 2010 16:11:08 -0800

=== debian/control ===
Source: libinnodb
Priority: extra
Maintainer: Monty Taylor <mordred@inaugust.com>
Uploaders: Stewart Smith <stewart@flamingspork.com>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, zlib1g-dev, quilt, automake, autoconf, libtool
Standards-Version: 3.8.4
Section: libs
Homepage: http://www.innodb.com/products/embedded-innodb
Vcs-Browser: http://bazaar.launchpad.net/~drizzle-developers/pkg-libinnodb/trunk/files
Vcs-Bzr: http://bazaar.launchpad.net/~drizzle-developers/pkg-libinnodb/trunk

Package: libinnodb-dev
Section: libdevel
Architecture: any
Depends: libinnodb3 (= ${binary:Version}), zlib1g-dev, ${shlibs:Depends}, ${misc:Depends}
Description: Embedded InnoDB Library (dev files)
 Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a 
 storage engine for MySQL. It is designed to be linked directly into 
 application programs, and provides highly efficient, low-level database
 management services, not using SQL
 .
 This package contains headers and other development files.

Package: libinnodb-dbg
Section: debug
Architecture: any
Depends: libinnodb3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Embedded InnoDB Library (debug files)
 Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a 
 storage engine for MySQL. It is designed to be linked directly into 
 application programs, and provides highly efficient, low-level database
 management services, not using SQL
 .
 This package contains debuging symbols.

Package: libinnodb3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, zlib1g
Description: Embedded InnoDB Library
 Embedded InnoDB is used independently of MySQL. It is not a plugin, nor a 
 storage engine for MySQL. It is designed to be linked directly into 
 application programs, and provides highly efficient, low-level database
 management services, not using SQL
 .
 This package contains the shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/quilt/quilt.make

TMP=$(CURDIR)/debian/tmp/

override_dh_auto_configure:
	autoreconf -fi
	dh_auto_configure

override_dh_auto_test:


build: patch build-stamp
build-stamp:
	dh build
	touch build-stamp

clean: clean-patched unpatch
clean-patched:
	dh clean

install: build install-stamp
install-stamp:
	dh --until auto_install install
	# Run gensymbols
	dpkg-gensymbols -c1 -plibinnodb2 -P${TMP}
	dh --remaining install
	mv ${TMP}/usr/share/embedded_innodb-1.0/examples ${CURDIR}/debian/libinnodb-dev/usr/share/doc/libinnodb-dev
	touch install-stamp


binary-arch: install
	dh binary-arch --before strip
	dh_strip --dbg-package=libinnodb-dbg
	dh binary-arch --after strip


binary-indep: install
	dh binary-indep

binary: binary-arch binary-indep

get-orig-source:
	uscan --verbose --force-download --rename --repack --destdir=..

.PHONY: clean-patched patch unpatch get-orig-source
